View Issue Details

IDProjectCategoryView StatusLast Update
0000282Industrial-Craft²machinespublic2013-02-07 13:37
ReporterGregoriusTAssigned ToPlayer 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000282: Massfabricator rotation not updating in SMP. (198lf)
DescriptionIt's simple, the Massfab rotates always to direction 0 (Downwards), meaning that the Variable of the Facing is not updated Clientside.

To solve that, just update the Rotation Variable of it. If you are super lazy, then just change the Default Rotation of it to 2, 3, 4 or 5.
Steps To ReproduceJust unload and reload the Chunk after you placed the Massfab.
Additional InformationAnd no, this is NOT Bukkit! This is vanilla IC²!
TagsNo tags attached.
Minecraft Version

Relationships

related to 0000284 closedPlayer Machines orientation change after re-logging 

Activities

GregoriusT

2013-02-06 11:57

reporter   ~0000772

I just wanted to underline, that this has nothing to do with the general Machine Facing Bug! It's ONLY the Massfab (at that least since 1.2.5 btw), not the Terraformer or the Induction Furnace or any other Machine. It is similar but not the same Bug or releated in any kind to that codewise. Or to say it that way: Same symptoms other disease.

I only want to prevent that one forgets this Bug after the general one is fixed.

Player

2013-02-07 13:37

administrator   ~0000775

You're right, I forgot a super call for the initially sent fields there, which left active+facing out. The issue should be fixed in build 218-lf and later.

Thanks for the report+info ;)

Issue History

Date Modified Username Field Change
2013-02-02 19:13 GregoriusT New Issue
2013-02-06 08:29 Player Relationship added related to 0000284
2013-02-06 11:57 GregoriusT Note Added: 0000772
2013-02-07 13:25 Player Assigned To => Player
2013-02-07 13:25 Player Status new => confirmed
2013-02-07 13:37 Player Note Added: 0000775
2013-02-07 13:37 Player Status confirmed => resolved
2013-02-07 13:37 Player Fixed in Version => 1.116 beta
2013-02-07 13:37 Player Resolution open => fixed